diff --git a/src/libFLAC/lpc.c b/src/libFLAC/lpc.c
index c63819a..0c795ba 100644
--- a/src/libFLAC/lpc.c
+++ b/src/libFLAC/lpc.c
@@ -61,7 +61,7 @@
 static inline long int lround(double x) {
     return (long)(x + copysign (0.5, x));
 }
-//If this fails, we are in the precence of a mid 90's compiler..move along...
+/* If this fails, we are in the presence of a mid 90's compiler, move along... */
 #endif
 
 void FLAC__lpc_window_data(const FLAC__int32 in[], const FLAC__real window[], FLAC__real out[], unsigned data_len)
diff --git a/src/share/grabbag/replaygain.c b/src/share/grabbag/replaygain.c
index 97a5b8d..69a89a5 100644
--- a/src/share/grabbag/replaygain.c
+++ b/src/share/grabbag/replaygain.c
@@ -623,7 +623,7 @@ FLAC__bool grabbag__replaygain_load_from_vorbiscomment(const FLAC__StreamMetadat
 
 	/*
 	 * We need to save the old locale and switch to "C" because the locale
-	 * influences the formatting of %f and we want it a certain way.
+	 * influences the behaviour of strtod and we want it a certain way.
 	 */
 	saved_locale = strdup(setlocale(LC_ALL, 0));
 	if (0 == saved_locale)
diff --git a/src/share/replaygain_analysis/replaygain_analysis.c b/src/share/replaygain_analysis/replaygain_analysis.c
index 88caad9..9c0528b 100644
--- a/src/share/replaygain_analysis/replaygain_analysis.c
+++ b/src/share/replaygain_analysis/replaygain_analysis.c
@@ -531,7 +531,8 @@ analyzeResult ( uint32_t* Array, size_t len )
     if ( elems == 0 )
         return GAIN_NOT_ENOUGH_SAMPLES;
 
-#if 0 /* GCC bug workaround: it incorrectly calculates 'elems * (1. - RMS_PERCENTILE)' with -O3 -msse2 ... options */
+/* workaround for GCC bug #61423: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61423 */
+#if 0
     upper = (int32_t) ceil (elems * (1. - RMS_PERCENTILE));
 #else
     upper = (int32_t) (elems / 20 + ((elems % 20) ? 1 : 0));
